Questão EclipseCDT / VNC / Ubuntu 8.04 eclipse não está iniciando


Não tenho certeza se configuro isso corretamente. Eu quero iniciar o Eclipse CDT na minha instalação do Ubuntu 8.04 usando X11 através de VNC.

Quando eu tento executar o eclipse através da linha de comando do visualizador vnc usando ./eclipse ele trava por alguns segundos e depois falha. Nenhuma mensagem de erro é enviada na linha de comando.

Existe um log de erro de inicialização ou algum lugar que eu possa procurar para descobrir o que está acontecendo? Ou estou fazendo isso errado?

Ok, eu verifiquei que o problema é eclipse.

Existe algum tipo de confronto de versão aqui?

desktop: ubuntu desktop 8.04 lts
kernel: 2.6.24-22-generic
CDT 7.0.2 for Eclipse Helios
jre1.6.0_24

Quando eu faço ./eclipse ele fica pendurado por alguns segundos e eu não recebo nenhum erro. Eu também não sei se existe um arquivo de log que armazena erros de inicialização. Alguém está familiarizado com esse tipo de problema?

Meu eclipse.ini é o arquivo padrão com o argumento -vm adicionado,

-startup
plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.2.R36x_v20101019_1345
-product
org.eclipse.epp.package.cpp.product
--launcher.defaultAction
openFile
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
-vm
/home/shwick/ghostDev/java/jre1.6.0_24/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.5
-XX:MaxPermSize=256m
-Xms40m
-Xmx384m

Eu iniciei na minha partição do Ubuntu 10 na minha máquina windows, fiz exatamente a mesma coisa instalando o eclipse 3.6 helios com o jre 1.6 e o ​​eclipse rodava bem.

Agora eu preciso saber como obter uma descrição do erro que está ocorrendo, mesmo que ele não seja enviado para a linha de comando ou para o log do sistema / var / log / messages do ubuntu.

./eclipse apenas trava e retorna para a linha de comando


1


origem


Se você quiser fazer edições em sua própria postagem, faça login, em vez de enviá-las anonimamente. - nhinkle♦


Respostas:


Eu sei que é um post antigo, mas eu tive o mesmo tipo de problema e encontrei o log de erros nos arquivos de log do Eclipse / configuration / *.

!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Cannot load 64-bit SWT libraries on 32-bit JVM
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:260)
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:240)
    at org.eclipse.swt.internal.C.<clinit>(C.java:21)

No meu caso eu não tinha instalado a versão x64 do JDK na caixa.


1